function [X Y Z] = generateBox(edge_length)

%Returns vectors X, Y and Z with [X(1) Y(1) Z(1)] ... [X(8) Y(8) Z(8)]
%representing the generated box vertices.
%The eight created vertices represent a box placed in a coordinate frame
%that has its origin at the center of the volume.

A = [-edge_length/2, -edge_length/2, -edge_length/2];
B = [edge_length/2, -edge_length/2, -edge_length/2];
C = [edge_length/2, -edge_length/2, edge_length/2];
D = [-edge_length/2, -edge_length/2, edge_length/2];
E = [-edge_length/2, edge_length/2, -edge_length/2];
F = [edge_length/2, edge_length/2, -edge_length/2];
G = [edge_length/2, edge_length/2, edge_length/2];
H = [-edge_length/2, edge_length/2, edge_length/2];
X = [A(1) B(1) C(1) D(1) E(1) F(1) G(1) H(1)];
Y = [A(2) B(2) C(2) D(2) E(2) F(2) G(2) H(2)];
Z = [A(3) B(3) C(3) D(3) E(3) F(3) G(3) H(3)];

end