function visualizeBox(X, Y, Z)

%Plots the box using the vectors X, Y and Z, with [X(1) Y(1) Z(1)] ... 
%[X(8) Y(8) Z(8)] representing the box vertices.
%Plots the vertices, the corresponding lines and the axes of the box's 
%coordinate frame.

%Plot vertices
scatter3(X, Y, Z, 100, 'filled');
%Configure plot
axis([-15 15 -15 15 -15 15]);
xlabel('x-axis');
ylabel('y-axis');
zlabel('z-axis');

%Plot connecting lines
line([X(1) X(2)], [Y(1) Y(2)], [Z(1) Z(2)], 'Color', 'm', 'LineWidth', 2);
line([X(2) X(3)], [Y(2) Y(3)], [Z(2) Z(3)], 'Color', 'm', 'LineWidth', 2);
line([X(3) X(4)], [Y(3) Y(4)], [Z(3) Z(4)], 'Color', 'm', 'LineWidth', 2);
line([X(4) X(1)], [Y(4) Y(1)], [Z(4) Z(1)], 'Color', 'm', 'LineWidth', 2);

line([X(5) X(6)], [Y(5) Y(6)], [Z(5) Z(6)], 'Color', 'm', 'LineWidth', 2);
line([X(6) X(7)], [Y(6) Y(7)], [Z(6) Z(7)], 'Color', 'm', 'LineWidth', 2);
line([X(7) X(8)], [Y(7) Y(8)], [Z(7) Z(8)], 'Color', 'm', 'LineWidth', 2);
line([X(8) X(5)], [Y(8) Y(5)], [Z(8) Z(5)], 'Color', 'm', 'LineWidth', 2);

line([X(1) X(5)], [Y(1) Y(5)], [Z(1) Z(5)], 'Color', 'm', 'LineWidth', 2);
line([X(2) X(6)], [Y(2) Y(6)], [Z(2) Z(6)], 'Color', 'm', 'LineWidth', 2);
line([X(3) X(7)], [Y(3) Y(7)], [Z(3) Z(7)], 'Color', 'm', 'LineWidth', 2);
line([X(4) X(8)], [Y(4) Y(8)], [Z(4) Z(8)], 'Color', 'm', 'LineWidth', 2);

end